> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rest-api/rest-api-reference/rapidocumentation.md).

# RAPI Documentation

## Overview

![RAPI Overview](/files/8l3ntZs4rai2wzUjOHFZ)

## Usage Limits

Every tenant has a limit on their maximum number of catalogs and items in a catalog. That limit depends on the purchased package. If an item or catalog is created that would cross the limit, the call returns status 402.

## API Reference Index

* [Authentication](/rubens/rest-api/rest-api-reference/endpoints/authentication.md)
* [User](/rubens/rest-api/rest-api-reference/endpoints/user.md)
* [UserSettings](/rubens/rest-api/rest-api-reference/endpoints/usersettings.md)
* [Catalog](/rubens/rest-api/rest-api-reference/endpoints/catalog.md)
* [Item](/rubens/rest-api/rest-api-reference/endpoints/item.md)
* [Component](/rubens/rest-api/rest-api-reference/endpoints/component.md)
* [Plan](/rubens/rest-api/rest-api-reference/endpoints/plan.md)
* [PlanSnapshot](/rubens/rest-api/rest-api-reference/endpoints/plansnapshot.md)
* [Material](/rubens/rest-api/rest-api-reference/endpoints/material.md)
* [Texture](/rubens/rest-api/rest-api-reference/endpoints/texture.md)
* [PriceService](/rubens/rest-api/rest-api-reference/endpoints/priceservice.md)
* [Price](/rubens/rest-api/rest-api-reference/endpoints/price.md)
* [Mesh](/rubens/rest-api/rest-api-reference/endpoints/mesh.md)
* [Configuration](/rubens/rest-api/rest-api-reference/endpoints/configuration.md)
* [Tag](/rubens/rest-api/rest-api-reference/endpoints/tag.md)
* [ShortId](/rubens/rest-api/rest-api-reference/endpoints/shortid.md)
* [Configurator](/rubens/rest-api/rest-api-reference/endpoints/configurator.md)
* [Statistics](/rubens/rest-api/rest-api-reference/endpoints/statistics.md)

## Webhooks

For information about webhook, please check [here](/rubens/rest-api/rest-api-reference/webhook.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rest-api/rest-api-reference/rapidocumentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
